## org.w3c.www.protocol.http.cache
Class ActiveStream

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.ActiveStream

public class ActiveStream
extends java.lang.Object
implements java.lang.Runnable

ActiveStream is used to tee a stream to the client, while caching it. This class basically mimics the piped streams provided in the java library in a more efficient manner (well, sort of).

If any error occurs while writing data back to the client, then the active thread finishes it works, but only streaming data into the sink,

Method Summary
`static java.io.InputStream` | `createTee(TeeMonitor monitor, java.io.InputStream src, java.io.OutputStream dst)`
`static void` | `initialize()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public void run()

  Specified by:
    run in interface java.lang.Runnable

### createTee

    public static java.io.InputStream createTee(TeeMonitor monitor,
                                                java.io.InputStream src,
                                                java.io.OutputStream dst)

### initialize

    public static void initialize()